Index: if_ether.c
===================================================================
--- if_ether.c	(revision 249764)
+++ if_ether.c	(working copy)
@@ -250,7 +250,9 @@ arprequest(struct ifnet *ifp, struct in_addr *sip,
 		}
 		IF_ADDR_RUNLOCK(ifp);
 		if (sip == NULL) {
-			printf("%s: cannot find matching address\n", __func__);
+			log(LOG_ERR, "%s: cannot find matching address for "
+			    "%s on %s\n", __func__, inet_ntoa(*tip),
+			    if_name(ifp));
 			return;
 		}
 	}
